<div class="flex">
  <input
    #input
    type="text"
    nz-input
    readonly
    [attr.data-test-field-id]="'secret-value'"
    [value]="displayedText$()"
  />
  <div class="flex m-l-10">
    <button
      class="button"
      nz-button
      nzType="link"
      nz-tooltip
      [nzTooltipTitle]="showHideTooltipTitle$() | translate"
      [attr.data-test-button-id]="'show-hide'"
      (click)="updateVisibility()"
    >
      @if (this.showValue$()) {
        <i
          nz-icon
          nzType="sqtm-core-generic:hide_columns"
          class="font-20-px"
        ></i>
      } @else {
        <i nz-icon nzType="sqtm-core-generic:read" class="font-20-px"></i>
      }
    </button>
    <button
      class="no-border"
      nz-button
      nzType="link"
      nz-tooltip
      [nzTooltipMouseLeaveDelay]="copyTooltipDelay$()"
      [nzTooltipTitle]="copyTooltipTitle$() | translate"
      [attr.data-test-button-id]="'copy'"
      (click)="copyValue()"
    >
      @if (isCopied$()) {
        <i nz-icon nzType="sqtm-core-generic:confirm" class="font-20-px"></i>
      } @else {
        <i nz-icon nzType="sqtm-core-generic:copy" class="font-20-px"></i>
      }
    </button>
  </div>
</div>
